### Hierarchy

- TimeValue

## Index

### Constructors

- constructor

### Properties

- hours
- millis
- minutes
- seconds

### Methods

- pad
- toDateValue
- toString
- fromDateValue
- fromString

## Constructors

### constructor

- new TimeValue(hours: number, minutes: number, seconds: number, millis: number): TimeValue

- - Defined in util/TimeValue.ts:21

  #### Parameters

  - ##### hours: number

  - ##### minutes: number

  - ##### seconds: number

  - ##### millis: number

  #### Returns TimeValue

## Properties

### hours

hours: number

- Defined in util/TimeValue.ts:23

### millis

millis: number

- Defined in util/TimeValue.ts:23

### minutes

minutes: number

- Defined in util/TimeValue.ts:23

### seconds

seconds: number

- Defined in util/TimeValue.ts:23

## Methods

### Private pad

- pad(s: string, pad?: string): string

- - Defined in util/TimeValue.ts:37

  #### Parameters

  - ##### s: string

  - ##### Default value pad: string = "00"

  #### Returns string

### toDateValue

- toDateValue(): Date

- - Defined in util/TimeValue.ts:31

  #### Returns Date

### toString

- toString(): string

- - Defined in util/TimeValue.ts:25

  #### Returns string

### Static fromDateValue

- fromDateValue(dateValue: Date): TimeValue

- - Defined in util/TimeValue.ts:14

  #### Parameters

  - ##### dateValue: Date

  #### Returns TimeValue

### Static fromString

- fromString(timeString: string): TimeValue

- - Defined in util/TimeValue.ts:6

  #### Parameters

  - ##### timeString: string

  #### Returns TimeValue

Generated using TypeDoc